<template>
    <div class="navbar">
        <md-toolbar class="md-medium md-transparent" md-elevation="0">
            <md-button class="md-icon-button" @click="toggleSidebar">
                <md-icon>menu</md-icon>
            </md-button>
            
            <a href="/" class="brand">
                <img src="../assets/logo.png" width="64px">
                Ta Rang Rian
            </a>

            <md-badge md-content="0" md-dense class="md-primary">
                <md-button class="md-icon-button" @click="toggleNotification">
                    <md-icon>notifications</md-icon>
                </md-button>
            </md-badge>
        </md-toolbar>

        <!--Sidebar-->
        <md-drawer :md-active.sync="showSidebar" md-swipable class="sidebar">

            <div class="sidebarProfile" @click="onProfile">
                <md-avatar><img src="https://placeimg.com/40/40/people/5" alt="People"></md-avatar>
                
                <span class="md-list-item-text" style="margin-left: 1rem;">
                    <p class="md-caption">Hello!</p>
                    <p>Abbey Christansen</p>
                </span>
                <span>
                    <md-button class="md-icon-button">
                        <md-icon>chevron_right</md-icon>
                    </md-button>
                </span>
            </div>
                
            <div class="sidebarMenu">
                <div class="menu" @click="onHome">
                    <md-icon>home</md-icon>
                    <span>หน้าแรก</span>
                </div>

                <div class="menu" @click="onSetting">
                    <md-icon>settings</md-icon>
                    <span>ตั้งค่า</span>
                </div>

                <div class="menu" @click="onHelp">
                    <md-icon>help</md-icon>
                    <span>ช่วยเหลือ</span>
                </div>

                <div class="menu" @click="onInfo">
                    <md-icon>info</md-icon>
                    <span>ข้อกำหนด</span>
                </div>

                <div class="menu" @click="onLogout">
                    <md-icon>logout</md-icon>
                    <span>ออกจากระบบ</span>
                </div>
            </div>
        </md-drawer>

        <!--Notification-->
        <md-drawer class="md-right notificationBar" :md-active.sync="showNotification">
            <md-toolbar class="md-transparent" md-elevation="0">
                <p class="md-title" style="font-weight: bold; font-size: 1.7rem">การแจ้งเตือน</p><br><br>
            </md-toolbar>

            <div v-for="notification in notifications" :key="notification.title+notification.date" class="noticeBox">
                <span>
                    <p class="md-body2" style="font-weight: bold;">{{notification.title}}</p>
                    <p class="md-caption">{{notification.date}} - {{notification.time}} น.</p>
                </span>
                <span style="text-align: right;">
                    <md-icon>chevron_right</md-icon>
                </span>
            </div>
        </md-drawer>
    </div>
</template>

<script>
export default {
    name: 'Navbar',
    data() {
        return {
            showSidebar: false,
            showNotification: false,
            notifications: [
                {
                    title: 'อีก 1 ชั่วโมงถึงเวลาเรียนวิชา UX/UI',
                    date: '14มีนาคม 2563',
                    time: '08.00',
                    read: false
                },
                {
                    title: 'อีก 1 ชั่วโมงถึงเวลาเรียนวิชา Theory of Computation',
                    date: '10 มีนาคม 2563',
                    time: '09.00',
                    read: false
                },
                {
                    title: 'อีก 1 ชั่วโมงถึงเวลาเรียนวิชา UX/UI',
                    date: '7 มีนาคม 2563',
                    time: '08.00',
                    read: false
                },
                {
                    title: 'เพิ่มวิชาเรียนของคุณได้ที่ปุ่ม "เพิ่มวิชา"',
                    date: '8 มีนาคม 2563',
                    time: '14.00',
                    read: false
                },
                {
                    title: 'เพิ่มรูปโปรไฟล์ของคุณได้ที่หน้า "ตั้งค่า"',
                    date: '6 มีนาคม 2563',
                    time: '09.00',
                    read: false
                },
                {
                    title: 'ยินดีต้อนรับเข้าสู่ Ta Rang Rian ! (Welcome to Ta Rang Rian !)',
                    date: '5 มีนาคม 2563',
                    time: '18.00',
                    read: false
                }
            ]
        }
    },
    methods: {
        toggleSidebar() {
            if(this.showSidebar === true) this.showSidebar = false
            else this.showSidebar = true

        },
        toggleNotification() {
            if(this.showNotification === true) this.showNotification = false
            else this.showNotification = true
        },
        onHome() {
            this.$router.replace('/').catch(()=>{})
            this.showSidebar = false
        },
        onSetting() {
            this.$router.replace('/setting').catch(()=>{})
            this.showSidebar = false
        },
        onHelp() {
            this.$router.replace('/help').catch(()=>{})
            this.showSidebar = false
        },
        onInfo() {
            this.$router.replace('/info').catch(()=>{})
            this.showSidebar = false
        },
        onLogout() {
            this.$router.replace('/login').catch(()=>{})
            this.showSidebar = false
        },
        onProfile() {
            this.$router.replace('/profile').catch(()=>{})
            this.showSidebar = false
        }
    }
}
</script>

<style lang="scss" scoped>
.brand {
    flex:1; 
    color: #00bfa6; 
    font-weight: bold; 
    text-align: center;
    font-size: 1.5rem;
}

.brand:hover {
    text-decoration: none;
}

.sidebar {
    padding: 0;
    padding-top: 1rem;
    position: fixed;
}

.menu span {
    margin: 0;
    margin-left: 20px;
}

.sidebarProfile {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #00bfa6;
    border-radius: 0.5rem;
    margin: 1rem;
    padding: 1rem;
    box-shadow: 2px 2px 3px rgba($color: #000000, $alpha: 0.3);
}

.sidebarProfile:hover {
    cursor: pointer;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2), 0 5px 15px 0 rgba(0, 0, 0, 0.19);
}

.menu {
    cursor: pointer;
    width: 100%;
    padding: 1rem;
    margin: 0;
}

.menu:hover {
    background-color: whitesmoke;
}

.notificationBar {
    padding: 0;
    margin: 0;
    position: fixed;
}

.noticeBox {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    width: 100%;
    border-bottom: 1px solid lightgray;
}

.noticeBox:hover {
    cursor: pointer;
    background-color: whitesmoke;
}

.noticeBox p {
    margin: 0;
    padding: 0;
}

</style>